.indexPage {
  position: absolute;
  left: 30%;
  top: 150px;
  height: 100%;
  width: 100%;
  color: #9dd772;
  font-size: 40px;
  font-weight: 600;
}

.indexPageImg {
  height: 100%;
  width: 100%;
}

.header-bar-container {
  position: fixed;
  width: 100%;
  z-index: 1000;
}

.content-wrapper {
  min-height: 740px;
  //margin-top: 50px;
}

.content-wrapper {

  .andon-left-menu-toggle {
    position: absolute;
    top: 48%;
    height: 4%;
    background: rgba(6, 6, 6, 0.45);
    width: 1rem;
    @include display-flex;
    @include justify-content(center);
    @include align-items(center);
    color: red;
  }
}

.global-modal-body-inner {
  position: absolute;
  top: 0px;
  left: 0px;
  right: 0px;
  bottom: 0px;
  z-index: 10000;
  pointer-events: none;
  transition: 300ms linear background-color;
  background: rgba(4, 4, 4, 0.22); //rgba(6, 6, 6, 0.23);
  pointer-events: inherit;
  .global_model_msg {
    position: absolute;
    z-index: 10001;
    margin: auto;
  }
}

// 报表模块
.echarts-wrap div:nth-child(3) {
  bottom: 0px !important;
  height: 100%;

}

.refresh-loading-box {
  width: 700px;
  height: 4rem;
  line-height: 4rem;
  text-align: center;
  background: #f5f7fb;
  margin-bottom: 200px;
  position: absolute;
  background: transparent;
  pointer-events: none;
}

.refresh-loading-box.isLoading {
  background-color: #fdfdfe;
  pointer-events: auto;
}

.xbr-bottom-box {
  width: 700px;
  height: 4rem;
  line-height: 4rem;
  text-align: center;
  background: #f5f7fb;
  margin-bottom: 0;
  position: relative;
  top: 0px;
  @include display-flex;
  @include align-items(center);
  @include justify-content(center);
}

.cls-1 {
  position: relative;
}

.xbr-cls {
  width: 100px;
  display: inline-block;
  font-weight: bolder;
  font-size: 1.6rem;
  color: #afaeae;
  cursor: pointer;
}

.xbr-move {
  display: inline-block;
  width: 100px;
  height: 2.8rem;
  position: absolute;
  background: red;
  top: .6rem;
  transition: 200ms linear left;
  background: transparent;
  border: 1px solid rgba(51, 122, 183, 0.99);
  border-radius: 5px;
  pointer-events: none;
}

.xbr-tooltip-cls {
  display: inline-block;
  width: 10px;
  height: 10px;
  border-radius: 2px;
  margin-right: 4px;
  margin-left: 1px;
}

.left-1 {
  left: 0px;
}

.left-2 {
  left: 104px;
}

.left-3 {
  left: 208px;
}

.xbr-cls:hover {
  color: #847d7d;
}

.xbr-cls.active {
  /*color: #080808;*/
  color: #337ab7;
}

/*
 * Core: General Layout Style
 * -------------------------
 */
html,
body {
  min-height: 100%;
}

body {
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
  font-family: 'Source Sans Pro', 'Helvetica Neue', Helvetica, Arial, sans-serif;
  font-weight: 400;
  overflow-x: hidden;
  overflow-y: auto;
}

/* Layout */
.wrapper {
  min-height: 100%;
  position: static;
  overflow: hidden;
  padding-right: 2px;
}

.wrapper:before,
.wrapper:after {
  content: " ";
  display: table;
}

.wrapper:after {
  clear: both;
}

/* 
 * Content Wrapper - contains the main content 
 * ```.right-side has been deprecated as of v2.0.0 in favor of .content-wrapper  ``` 
 */
.content-wrapper,
.main-footer {
  -webkit-transition: -webkit-transform 0.3s ease-in-out, margin 0.3s ease-in-out;
  -moz-transition: -moz-transform 0.3s ease-in-out, margin 0.3s ease-in-out;
  -o-transition: -o-transform 0.3s ease-in-out, margin 0.3s ease-in-out;
  transition: transform 0.3s ease-in-out, margin 0.3s ease-in-out;
  margin-left: 230px;
  z-index: 820;
}

@media (max-width: 767px) {
  .content-wrapper,
  .main-footer {
    margin-left: 0;
  }
}

@media (min-width: 768px) {
  .sidebar-collapse .content-wrapper,
  .sidebar-collapse .main-footer {
    margin-left: 0;
  }
}

@media (max-width: 767px) {
  .sidebar-open .content-wrapper,
  .sidebar-open .main-footer {
    -webkit-transform: translate(230px, 0);
    -ms-transform: translate(230px, 0);
    -o-transform: translate(230px, 0);
    transform: translate(230px, 0);
  }
}

.content-wrapper,
.main-footer {
  //padding: 15px;
  color: #444;
  border-top: 1px solid #d2d6de;
}

/* Fixed layout */

/* General Links */
.main-sidebar {
  a {
    color: #3c8dbc;
  }
  a:hover,
  a:active,
  a:focus {
    outline: none;
    text-decoration: none;
    color: #72afd2;
  }
}

a:focus {
  outline: none;
  text-decoration: none;
  outline-offset: 0;
}

/*
 * Component: Main Header
 * ----------------------
 */
.main-header {
  position: relative;
  max-height: 100px;
  z-index: 1030;
}

.main-header > .navbar {
  -webkit-transition: margin-left 0.3s ease-in-out;
  -o-transition: margin-left 0.3s ease-in-out;
  transition: margin-left 0.3s ease-in-out;
  margin-bottom: 0;
  margin-left: 230px;
  border: none;
  min-height: 50px;
  border-radius: 0;
}

.main-header .navbar-custom-menu,
.main-header .navbar-right {
  float: right;
}

@media (max-width: 991px) {
  .main-header .navbar-custom-menu a,
  .main-header .navbar-right a {
    color: inherit;
    background: transparent;
  }
}

@media (max-width: 767px) {
  .main-header .navbar-right {
    float: none;
  }
  .navbar-collapse .main-header .navbar-right {
    margin: 7.5px -15px;
  }
  .main-header .navbar-right > li {
    color: inherit;
    border: 0;
  }
}

.main-header .sidebar-toggle {
  float: left;
  //margin-top: 5px;
  padding: 6px 15px;
  font-family: fontAwesome;
  //border: 1px #337ab7 solid;
  //background-color: #EAEEF7;
  //border-radius: 4px;
}

.main-header .sidebar-toggle:before {
  content: "\f0c9";
}

.main-header .sidebar-toggle:hover {
  color: #0054A7;
}

.main-header .sidebar-toggle:focus,
.main-header .sidebar-toggle:active,
.main-header .sidebar-toggle:hover,
.main-header .sidebar-toggle:visited {
  //background-color: #C3D4F9;
  text-decoration: none;
}

.main-header .logo {
  -webkit-transition: width 0.3s ease-in-out;
  -o-transition: width 0.3s ease-in-out;
  transition: width 0.3s ease-in-out;
  display: block;
  float: left;
  height: 50px;
  font-size: 20px;
  line-height: 50px;
  text-align: center;
  font-family: "Helvetica Neue", Helvetica, Arial, sans-serif;
  padding: 0 15px;
  font-weight: 300;
  overflow: hidden;
}

.main-header .logo:hover {
  text-decoration: none;
}

.main-header .logo .logo-lg {
  display: block;
}

.main-header .logo .logo-mini {
  display: none;
}

/*
 * Component: Sidebar
 * ------------------
 */
.sidebar {
  padding-bottom: 10px;
}

.main-sidebar,
.left-side {
  position: absolute;
  //top: 50px;
  left: 0;
  width: 230px;
  z-index: 810;
  -webkit-transition: -webkit-transform 0.3s ease-in-out, width 0.3s ease-in-out;
  -moz-transition: -moz-transform 0.3s ease-in-out, width 0.3s ease-in-out;
  -o-transition: -o-transform 0.3s ease-in-out, width 0.3s ease-in-out;
  transition: transform 0.3s ease-in-out, width 0.3s ease-in-out;
}

@media (max-width: 767px) {
  .main-sidebar,
  .left-side {
    -webkit-transform: translate(-230px, 0);
    -ms-transform: translate(-230px, 0);
    -o-transform: translate(-230px, 0);
    transform: translate(-230px, 0);
  }
  .main-header a.logo, .main-header nav.navbar {
    transition: linear 250ms transform;
    -webkit-transform: translate(-200px, 0);
    -ms-transform: translate(-200px, 0);
    -o-transform: translate(-200px, 0);
    transform: translate(-200px, 0);
  }
}

@media (min-width: 768px) {
  .sidebar-collapse .main-sidebar,
  .sidebar-collapse .left-side {
    -webkit-transform: translate(-230px, 0);
    -ms-transform: translate(-230px, 0);
    -o-transform: translate(-230px, 0);
    transform: translate(-230px, 0);
  }
}

@media (max-width: 767px) {
  .sidebar-open .main-sidebar,
  .sidebar-open .left-side {
    -webkit-transform: translate(0, 0);
    -ms-transform: translate(0, 0);
    -o-transform: translate(0, 0);
    transform: translate(0, 0);
  }
}

.sidebar-menu {
  list-style: none;
  margin: 0;
  padding: 0;
}

.sidebar-menu > li {
  position: relative;
  margin: 0;
  padding: 0;
}

.sidebar-menu > li > a {
  padding: 12px 5px 12px 15px;
  display: block;
}

.sidebar-menu > li > a > .fa,
.sidebar-menu > li > a > .glyphicon,
.sidebar-menu > li > a > .ion {
  width: 20px;
}

.sidebar-menu > li .label,
.sidebar-menu > li .badge {
  margin-top: 3px;
  margin-right: 5px;
}

.sidebar-menu li.header {
  padding: 10px 25px 10px 15px;
  font-size: 12px;
}

.sidebar-menu li > a > .fa-angle-left {
  width: auto;
  height: auto;
  padding: 0;
  margin-right: 10px;
  margin-top: 3px;
}

.sidebar-menu li.active-first > a > .fa-angle-left {
  -webkit-transform: rotate(-90deg);
  -ms-transform: rotate(-90deg);
  -o-transform: rotate(-90deg);
  transform: rotate(-90deg);
}

.sidebar-menu li.active > .treeview-menu {
  display: block;
}

.sidebar-menu .treeview-menu {
  display: none;
  list-style: none;
  padding: 0;
  margin: 0;
  padding-left: 5px;
}

.sidebar-menu .treeview-menu .treeview-menu {
  padding-left: 20px;
}

.sidebar-menu .treeview-menu > li {
  margin: 0;
}

.sidebar-menu .treeview-menu > li > a {
  padding: 5px 5px 5px 15px;
  display: block;
  font-size: 14px;
}

.sidebar-menu .treeview-menu > li > a > .fa,
.sidebar-menu .treeview-menu > li > a > .glyphicon,
.sidebar-menu .treeview-menu > li > a > .ion {
  width: 20px;
}

.sidebar-menu .treeview-menu > li > a > .fa-angle-left,
.sidebar-menu .treeview-menu > li > a > .fa-angle-down {
  width: auto;
}

/*
 * Component: Sidebar Mini
 */
@media (min-width: 768px) {
  .sidebar-mini.sidebar-collapse .content-wrapper,
  .sidebar-mini.sidebar-collapse .right-side,
  .sidebar-mini.sidebar-collapse .main-footer {
    margin-left: 50px !important;
    z-index: 840;
  }
  .sidebar-mini.sidebar-collapse .main-sidebar {
    -webkit-transform: translate(0, 0);
    -ms-transform: translate(0, 0);
    -o-transform: translate(0, 0);
    transform: translate(0, 0);
    width: 50px !important;
    z-index: 850;
  }
  .sidebar-mini.sidebar-collapse .sidebar-menu > li {
    position: relative;
  }
  .sidebar-mini.sidebar-collapse .sidebar-menu > li > a {
    margin-right: 0;
  }
  .sidebar-mini.sidebar-collapse .sidebar-menu > li > a > span {
    border-top-right-radius: 4px;
  }
  .sidebar-mini.sidebar-collapse .sidebar-menu > li:not(.treeview) > a > span {
    border-bottom-right-radius: 4px;
  }
  .sidebar-mini.sidebar-collapse .sidebar-menu > li > .treeview-menu {
    padding-top: 5px;
    padding-bottom: 5px;
    border-bottom-right-radius: 4px;
  }
  .sidebar-mini.sidebar-collapse .sidebar-menu > li:hover > a > span:not(.pull-right),
  .sidebar-mini.sidebar-collapse .sidebar-menu > li:hover > .treeview-menu {
    display: block !important;
    position: absolute;
    width: 180px;
    left: 50px;
  }
  .sidebar-mini.sidebar-collapse .sidebar-menu > li:hover > a > span {
    top: 0;
    margin-left: -3px;
    padding: 12px 5px 12px 20px;
    background-color: inherit;
  }
  .sidebar-mini.sidebar-collapse .sidebar-menu > li:hover > .treeview-menu {
    top: 44px;
    margin-left: 0;
  }
  .sidebar-mini.sidebar-collapse .main-sidebar .user-panel > .info,
  .sidebar-mini.sidebar-collapse .sidebar-form,
  .sidebar-mini.sidebar-collapse .sidebar-menu > li > a > span,
  .sidebar-mini.sidebar-collapse .sidebar-menu > li > .treeview-menu,
  .sidebar-mini.sidebar-collapse .sidebar-menu > li > a > .pull-right,
  .sidebar-mini.sidebar-collapse .sidebar-menu li.header {
    display: none !important;
    -webkit-transform: translateZ(0);
  }
  .sidebar-mini.sidebar-collapse .main-header .logo {
    width: 50px;
  }
  .sidebar-mini.sidebar-collapse .main-header .logo > .logo-mini {
    display: block;
    margin-left: -15px;
    margin-right: -15px;
    font-size: 18px;
  }
  .sidebar-mini.sidebar-collapse .main-header .logo > .logo-lg {
    // display: none;
  }
  .sidebar-mini.sidebar-collapse .main-header .navbar {
    margin-left: 50px;
  }
}

.sidebar-menu,
.main-sidebar .user-panel,
.sidebar-menu > li.header {
  white-space: nowrap;
  overflow: hidden;
}

.sidebar-menu:hover {
  overflow: visible;
}

.sidebar-form,
.sidebar-menu > li.header {
  overflow: hidden;
  text-overflow: clip;
}

.sidebar-menu li > a {
  position: relative;
}

.sidebar-menu li > a > .pull-right {
  position: absolute;
  top: 50%;
  right: 10px;
  margin-top: -7px;
}

body {
  //background-color: $ad-slider-bg;
  background-color: $ad-content-bg;
}

.wrapper {
  background-color: $ad-slider-bg;
}

.main-header {
  background-color: $ad-headerbar-bg;
}

.main-footer {
  background-color: $ad-footerbar-bg;
}

.main-sidebar {
  background-color: $ad-slider-bg;
}

.sidebar-collapse .main-sidebar .group-title {
  /*background-color: rgb(15, 119, 198);*/
  background-color: rgb(22, 70, 154);
}

.sidebar-collapse .main-sidebar .treeview-menu {
  /*background-color: rgb(15, 119, 198);*/
  background-color: rgb(22, 70, 154);
}

.sidebar-menu .treeview-menu {
  padding-left: 25px;
}

.sidebar-menu .sidebar-menu .treeview.active {
  background-color: #16469a;
}

.sidebar-menu .sidebar-menu {

}

.wrapper .content-wrapper {
  .content-wrapper-inside {
    background-color: $ad-wrapper-bg;
  }
  background-color: $ad-content-bg;
  overflow: auto;
  //min-height: 600px;
  border-top: none;

  border-radius: 0px;
  //margin-right: -2px;
  //background-color: rgb(230, 231, 233);
  /*background-color: rgb(231,236,243);
  border-top-left-radius: 8px;
  border-bottom-left-radius: 8px;*/
  .content-wrapper-margin {
    @include box-shadow(0px 1px 1px #8e8989 inset);
    padding: 5px 5px 0 5px;
    min-width: 973px;
    //min-height: $ad-content-height;
    border-top-right-radius: 20px;
    background-color: $ad-content-bg;
  }
}

.main-sidebar {
  a {
    color: #a7b1c2 !important;
  }
  a:hover, a:active { // , a:focus
    color: #72afd2 !important;
  }
}

/*  logo-lg:  */
.logo-lg {
  max-height: 100%;
  height: 70%;
  img {
    max-width: 100%;
    max-height: 100%;
  }
  span {
    font-size: 2rem;
    vertical-align: middle;
    color: #0054A7;
    font-weight: bold;
  }
}

.logo-mini {
  height: 70%;
  max-height: 100%;
  img {
    max-width: 100%;
    max-height: 100%;
  }
}

/*  左侧栏用户头像部分相关样式  */
.user-box {
  @include display-flex;
  height: 7rem;
  .ub-left {
    transition: linear 250ms width, height;
    width: 40%;
    max-width: 100%;
    @include display-flex;
    @include justify-content(center);
    @include align-items(center);
    img {
      max-width: 75%;
      max-height: 75%;
    }
  }
  .ub-right {
    transition: linear 250ms width, height;
    overflow: hidden;
    @include display-flex;
    @include align-items(center);
    @include justify-content(center);
    @include flex-direction(column);
    width: 60%;
    .user-name {
      margin-bottom: 10px;
    }
    .user-name, .user-title {
      @include display-flex;
      @include align-items(center);
      transition: linear 250ms width, height;
      width: 100%;
      font-size: 18px;
      font-weight: bold;
      color: #E0D5AB !important;
      white-space: nowrap;
    }
    span.user-name {
      height: 60%;
    }
    span.user-title {
      height: 40%;
    }
  }
}

.sidebar-collapse {
  .user-box {
    height: 4rem;
    .ub-right {
      //display: none !important;
      //@include flex(0);
      width: 0px;
    }
    .ub-left {
      width: 80%;
      img {

      }
    }
  }
}

/*  左侧栏搜索框  */
.search-box {
  padding: 5px 10px;
  overflow: hidden;
  transition: linear 250ms width, height;
  .input-group-addon {
    background-color: white;
    border-right: 0px;
  }
  i.glyphicon-search {
    color: #acacac;
  }
  input {
    border-left: 0px;
    outline: 0px;
  }
  .form-control:focus {
    box-shadow: inherit;
    -webkit-box-shadow: inherit;
    border-color: #ccc;
  }
  //.box-mini{
  // 	display: none;
  // 	text-align: center;
  //     color: white;
  //     font-size: 1.4rem;
  //     line-height: 1.6rem;
  //}
}

.sidebar-collapse {
  .search-box {
    width: 0px;
    height: 0px;
    padding: 0px;
    .input-group {
      // display: none;
    }
    .box-mini {
      // display: block;
    }
  }
}

/*  header 部分  */
.main-header {
  nav.navbar {
    @include display-flex;
    @include align-items(center);
    @include justify-content(flex-start);
    .navbar-custom-menu {
      @include flex(1);
      @include display-flex;
      @include justify-content(flex-end);
    }
  }
  .logo-lg {
    height: 100%;
    min-width: 50px;
    text-align: left;
    white-space: nowrap;
    overflow: hidden;
    img {
      max-height: 70%;
    }
  }
}

@media (max-width: 767px) {
  .main-header {
    a.logo {
      padding-left: 8px;
    }
    .logo-lg {
      width: 20px;
    }
  }
}

.content-wrapper {
  position: relative;
  #alerts-manager-box {
    @include transition(300ms linear left, bottom);
    position: fixed;
    bottom: 20px;
    background-color: rgba(8, 8, 8, 0.18);
    padding: 10px 5px;
    z-index: 999999;
    right: 4px;
  }
}

@media (max-width: 767px) {
  .content-wrapper {
    #alerts-manager-box {
      left: 2px;
    }

  }
}

@media (min-width: 768px) {
  .content-wrapper {
    #alerts-manager-box {
      left: 232px;
    }
    #alerts-manager-box.alerts-manager-box {
      left: 53px;
    }
  }
}

@media (min-width: 768px) {
  body.sidebar-collapse {
    #alerts-manager-box {
      left: 50px;
    }
  }
}

.ad-auto-animate {
  width: 2.4rem;
  height: 2.4rem;
  line-height: 2.4rem;
  border-radius: 2.4rem;
  font-size: 2rem;

  position: relative;
  top: 0px;
  left: -5rem;

  border: 1px solid $ad-slider-bg;
  color: $ad-slider-bg;
  &:hover {
    color: #025cff !important;
    border-color: #025cff !important;
  }
  &:active {
    box-shadow: 0px 0px 4px #025cff;
  }
  &.auto-mode {
    color: rgb(208, 76, 76);
    border-color: rgb(208, 76, 76);
    &:hover {
      color: red !important;
      border-color: red !important;
    }
    &:active {
      box-shadow: 0px 0px 4px red;
    }
  }
}

.andon-main-block {
  position: absolute;
  top: 50px;
  width: 100%;
  overflow: auto;
  background-color: $ad-slider-bg;
}

.content-wrapper-inside {
  background-color: white;
  min-width: 973px;
}

// 左侧栏图标添加动画
.andon-main-block {
  aside.main-sidebar {
    li {
      a.group-title {
        i.fa {
          transition: 300ms linear font-size;
        }
      }
      a.group-title:hover {
        i.fa {
          font-size: 1.6rem;
        }
      }
    }
    li.active {
      a.group-title {
        i.fa {
          font-size: 1.6rem;
        }
      }
    }

  }
}








